<div class="container-fluid flight-detail-bg">
    <div class="row">
        <div class="col-12 text-center">
            <h1 class="flight-detail-title">{{ flight.airport_where.city }} - {{ flight.departure_date |
                date:'MM/dd/yyyy
                hh:mm' }}
            </h1>
        </div>
    </div>
    <div class="row">
        <div class="col-6 text-center">
            <div class="card flight-detail-card">
                <div class="card-body">
                    <h2 class="card-title flight-detail-subtitle">Departure</h2>
                    <p class="card-text flight-detail-text">From: {{ flight.airport_from.name }} - {{
                        flight.airport_from.city }}</p>
                    <p class="card-text flight-detail-text">Departure Date: {{ flight.departure_date | date:'MM/dd/yyyy
                        hh:mm' }}</p>
                </div>
            </div>
        </div>
        <div class="col-6 text-center">
            <div class="card flight-detail-card">
                <div class="card-body">
                    <h2 class="card-title flight-detail-subtitle">Arrival</h2>
                    <p class="card-text flight-detail-text">Where: {{ flight.airport_where.name }} - {{
                        flight.airport_where.city }}
                    </p>
                    <p class="card-text flight-detail-text">Arrival Date: {{ flight.arrival_date | date:'MM/dd/yyyy
                        hh:mm' }}</p>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="container" style="margin-top: 50px;">
            <h3 style="text-align: center;">There are taken seats on this flight</h3>
            <p style="text-align: center;">Number of taken seats {{ numberOfTakenSeats() }}/60</p>
            <div class="row">
                <div class="col">
                    <div>

                        <div class="plane">
                            <div class="cockpit">

                            </div>

                            <div class="fuselage">

                            </div>
                            <ol class="cabin fuselage">
                                <li class="row row--1">
                                    <ol class="seats" type="A">
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('A1')" id="1A" />
                                            <label for="1A">1A</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('B1')" id="1B" />
                                            <label for="1B">1B</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('C1')" id="1C" />
                                            <label for="1C">1C</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]='taken_seats.includes("D1")' id="1D" />
                                            <label for="1D">1D</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('E1')" id="1E" />
                                            <label for="1E">1E</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('F1')" id="1F" />
                                            <label for="1F">1F</label>
                                        </li>
                                    </ol>
                                </li>
                                <li class="row row--2">
                                    <ol class="seats" type="A">
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('A2')" id="2A" />
                                            <label for="2A">2A</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('B2')" id="2B" />
                                            <label for="2B">2B</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('C2')" id="2C" />
                                            <label for="2C">2C</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('D2')" id="2D" />
                                            <label for="2D">2D</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('E2')" id="2E" />
                                            <label for="2E">2E</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('F2')" id="2F" />
                                            <label for="2F">2F</label>
                                        </li>
                                    </ol>
                                </li>
                                <li class="row row--3">
                                    <ol class="seats" type="A">
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('A3')" id="3A" />
                                            <label for="3A">3A</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('B3')" id="3B" />
                                            <label for="3B">3B</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('C3')" id="3C" />
                                            <label for="3C">3C</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('D3')" id="3D" />
                                            <label for="3D">3D</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('E3')" id="3E" />
                                            <label for="3E">3E</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('F3')" id="3F" />
                                            <label for="3F">3F</label>
                                        </li>
                                    </ol>
                                </li>
                                <li class="row row--4">
                                    <ol class="seats" type="A">
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('A4')" id="4A" />
                                            <label for="4A">4A</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('B4')" id="4B" />
                                            <label for="4B">4B</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('C4')" id="4C" />
                                            <label for="4C">4C</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('D4')" id="4D" />
                                            <label for="4D">4D</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('E4')" id="4E" />
                                            <label for="4E">4E</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('F4')" id="4F" />
                                            <label for="4F">4F</label>
                                        </li>
                                    </ol>
                                </li>
                                <li class="row row--5">
                                    <ol class="seats" type="A">
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('A5')" id="5A" />
                                            <label for="5A">5A</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('B5')" id="5B" />
                                            <label for="5B">5B</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('C5')" id="5C" />
                                            <label for="5C">5C</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('D5')" id="5D" />
                                            <label for="5D">5D</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('E5')" id="5E" />
                                            <label for="5E">5E</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('F5')" id="5F" />
                                            <label for="5F">5F</label>
                                        </li>
                                    </ol>
                                </li>
                                <li class="row row--6">
                                    <ol class="seats" type="A">
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('A6')" id="6A" />
                                            <label for="6A">6A</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('B6')" id="6B" />
                                            <label for="6B">6B</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('C6')" id="6C" />
                                            <label for="6C">6C</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('D6')" id="6D" />
                                            <label for="6D">6D</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('E6')" id="6E" />
                                            <label for="6E">6E</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('F6')" id="6F" />
                                            <label for="6F">6F</label>
                                        </li>
                                    </ol>
                                </li>
                                <li class="row row--7">
                                    <ol class="seats" type="A">
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('A7')" id="7A" />
                                            <label for="7A">7A</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('B7')" id="7B" />
                                            <label for="7B">7B</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('C7')" id="7C" />
                                            <label for="7C">7C</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('D7')" id="7D" />
                                            <label for="7D">7D</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('E7')" id="7E" />
                                            <label for="7E">7E</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('F7')" id="7F" />
                                            <label for="7F">7F</label>
                                        </li>
                                    </ol>
                                </li>
                                <li class="row row--8">
                                    <ol class="seats" type="A">
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('A8')" id="8A" />
                                            <label for="8A">8A</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('B8')" id="8B" />
                                            <label for="8B">8B</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('C8')" id="8C" />
                                            <label for="8C">8C</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('D8')" id="8D" />
                                            <label for="8D">8D</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('E8')" id="8E" />
                                            <label for="8E">8E</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('F8')" id="8F" />
                                            <label for="8F">8F</label>
                                        </li>
                                    </ol>
                                </li>
                                <li class="row row--9">
                                    <ol class="seats" type="A">
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('A9')" id="9A" />
                                            <label for="9A">9A</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('B9')" id="9B" />
                                            <label for="9B">9B</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('C9')" id="9C" />
                                            <label for="9C">9C</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('D9')" id="9D" />
                                            <label for="9D">9D</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('E9')" id="9E" />
                                            <label for="9E">9E</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('F9')" id="9F" />
                                            <label for="9F">9F</label>
                                        </li>
                                    </ol>
                                </li>
                                <li class="row row--10">
                                    <ol class="seats" type="A">
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('A10')" id="10A" />
                                            <label for="10A">10A</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('B10')" id="10B" />
                                            <label for="10B">10B</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('C10')" id="10C" />
                                            <label for="10C">10C</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('D10')" id="10D" />
                                            <label for="10D">10D</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('E10')" id="10E" />
                                            <label for="10E">10E</label>
                                        </li>
                                        <li class="seat">
                                            <input type="checkbox" [disabled]="taken_seats.includes('F10')" id="10F" />
                                            <label for="10F">10F</label>
                                        </li>
                                    </ol>
                                </li>
                            </ol>
                            <div class="fuselage">

                            </div>
                        </div>
                        <!-- <button (click)="onSubmit()">Submit</button> -->
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12 text-center">
                <a [routerLink]="['/flightList']" class="btn btn-primary flight-detail-btn">Back to List</a>
            </div>
        </div>
    </div>